
import requests
from oauthlib.oauth2 import BackendApplicationClient
from requests_oauthlib import OAuth2Session

def fetch_access_token(client_id, client_secret, token_url):
    client = BackendApplicationClient(client_id=client_id)
    oauth_session = OAuth2Session(client=client)
    token = oauth_session.fetch_token(token_url=token_url, client_id=client_id, client_secret=client_secret)
    return token



